#ifndef FBCAccess__H
#define FBCAccess__H

#ifdef __cplusplus
   extern "C" {
#endif

typedef enum { False = 0, True = 1 } Bool;

struct FBCMetaData; 
typedef struct FBCMetaData FBCMetaData;

struct FBCDatabaseConnection;
typedef struct FBCDatabaseConnection FBCDatabaseConnection;

struct FBCBlobHandle;
typedef struct FBCBlobHandle FBCBlobHandle;

struct FBCBlobStream;
typedef struct FBCBlobStream FBCBlobStream;

struct FBCCharacterMap;
typedef struct FBCCharacterMap FBCCharacterMap;

struct FBCColumnMetaData;
typedef struct FBCColumnMetaData FBCColumnMetaData;

struct FBCDatatypeMetaData;
typedef struct FBCDatatypeMetaData FBCDatatypeMetaData;

struct FBCErrorMetaData;
typedef struct FBCErrorMetaData FBCErrorMetaData;

struct FBCNull;
typedef struct FBCNull FBCNull;

struct FBCRowHandler;
typedef struct FBCRowHandler FBCRowHandler;

struct FBArray;
typedef struct FBArray FBArray;

struct FBCPList;
typedef struct FBCPList FBCPList;

struct FBCAutoStartInfo;
typedef struct FBCAutoStartInfo FBCAutoStartInfo;

struct FSUniqueId;
typedef struct FSUniqueId FSUniqueId;

#include <FBCAccess/FBDatabaseDefs.h>
#include <FBCAccess/FBDataTypeDefs.h>
#include <FBCAccess/FBCAutoStartInfo.h>
#include <FBCAccess/FBCBlobHandle.h>
#include <FBCAccess/FBCBlobStream.h>
#include <FBCAccess/FBCClusterAdmin.h>
#include <FBCAccess/FBCColumnMetaData.h>
#include <FBCAccess/FBCDatabaseConnection.h>
#include <FBCAccess/FBCDatatypeMetaData.h>
#include <FBCAccess/FBCTimeZones.h>
#include <FBCAccess/FBCDateSupport.h>
#include <FBCAccess/FBCDbNames.h>
#include <FBCAccess/FBCDigestPassword.h>
#include <FBCAccess/FBCErrorMetaData.h>
#include <FBCAccess/FBCExecHandler.h>
#include <FBCAccess/FBCInitialize.h>
#include <FBCAccess/FBCKeywords.h>
#include <FBCAccess/FBCMetaData.h>
#include <FBCAccess/FBCNull.h>
#include <FBCAccess/FBCPList.h>
#include <FBCAccess/FBCRowHandler.h>
#include <FBCAccess/FBCRow.h>
#include <FBCAccess/FBCXML.h>
#include <FBCAccess/FBRSAccess.h>

#ifdef __cplusplus
   }
#endif

#endif /* FBCAccess__H */
