#ifndef FBCAutoStartInfo__H
#define FBCAutoStartInfo__H

unsigned fbcaiCount(FBCAutoStartInfo* self);

const char* fbcaiDatabaseNameAtIndex(FBCAutoStartInfo* self, unsigned indx);

const char* fbcaiOptionsAtIndex(FBCAutoStartInfo* self, unsigned indx);

void fbcaiRemoveInfoAtIndex(FBCAutoStartInfo* self, unsigned indx);

void fbcaiAddInfo(FBCAutoStartInfo* self, const char* databaseName, const char* options);

void fbcaiReplaceOptionsAtIndex(FBCAutoStartInfo* self, unsigned indx, const char* options);

void fbcaiRelease(FBCAutoStartInfo* self);

// Private functions

FBCAutoStartInfo* fbcaiAllocInit(const char* str);

char* fbcaiConvert2String(FBCAutoStartInfo* self, char* str);

#endif /* FBCAutoStartInfo__H */
